Description

example 

http://data.d4science.org/ctlg/GRSF_Admin/a1645b80-a323-3d65-bbf3-67539a325d83 says Fao Categories : undef [Ref. Year:

2012]

while the source file is  (see http://firms.fao.org/fishery/xml/resource/10123/en),

the leagcy file is also "undef" http://data.d4science.org/ctlg/GRSF_Admin/57e70432-49d8-35a6-a9b3-d2ec32a15184 

Related issues:

Blocks StocksAndFisheriesKB - Bug #12906: Update "problematic" records in the... Closed Nov 20, 2018

History

#1 - Nov 16, 2018 01:26 PM - Yannis Marketakis

- Status changed from New to In Progress

- Assignee changed from Nikos Minadakis to Yannis Marketakis

The value in the GRSF KB is correct, so this is an issue appeared during the publishing. 

#2 - Nov 19, 2018 02:56 PM - Yannis Marketakis

- Status changed from In Progress to Feedback

- % Done changed from 0 to 90

This issue appeared because there were some of the identified categories missing (not fully exploited in this case).

I've updated the list of keywords that are expected to appear under this category (show below).

Fully exploited

Overexploited

Moderately exploited

Uncertain

Underexploited

Depleted

Recovering

Not fully exploited

Uncertain/Not assessed

Currently, the catalogue is down for maintenance. As soon as it is up, I will re-upload the record (both the legacy and the GRSF one) to make sure

that they are fine.

#3 - Nov 19, 2018 03:21 PM - Aureliano Gentile

I thought the categories were transparent to the process and received blindly whatever is in the source databases (legacy records).

However since it is not like that we need to add in the list also the following:

Overfished

Not Overfished

Maximally sustainably fished

Underfished

#4 - Nov 19, 2018 03:35 PM - Yannis Marketakis

Aureliano Gentile wrote:

I thought the categories were transparent to the process and received blindly whatever is in the source databases (legacy records).
 We can do that. However, when we refer to categories we usually expect that they are collected from a controlled vocabulary.

I am fine leaving it as a free text field. If you feel more comfortable this way I can change it. Just let me know.

#5 - Nov 19, 2018 03:45 PM - Aureliano Gentile

The FAO state of a stock is based on a controlled vocabulary, which however it changes across time. The above new items I provided are coming

from SOFIA 2018 http://www.fao.org/3/I9540EN/i9540en.pdf (page 40). These new values will be adopted gradually by the stakeholders, hence the

older values are still in use and gradually they will fade away. But it may take years!

So, it is much better to have a controlled vocabulary and I am fine as long as all terms are there. If you want to diminish the burden of the

maintenance, then just take whatever is coming for that field. I am fine with both approach.

#6 - Nov 19, 2018 03:49 PM - Yannis Marketakis

- Status changed from Feedback to In Progress

- % Done changed from 90 to 70

OK. Then I suggest to keep the controlled vocabulary for now and we'll see in the future if we want to relax this constraint by making it a free text field.

I will update the controlled vocabulary accordingly.

#7 - Nov 20, 2018 09:32 AM - Yannis Marketakis

- Blocks Bug #12906: Update "problematic" records in the GRSF admin catalog added

#8 - Nov 20, 2018 09:34 AM - Yannis Marketakis

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

The issue has been resolved.

As a proof of concept I've updated the records in the catalog (http://data.d4science.org/ctlg/GRSF_Admin/a1645b80-a323-3d65-bbf3-67539a325d83

and http://data.d4science.org/ctlg/GRSF_Admin/57e70432-49d8-35a6-a9b3-d2ec32a15184).

Since there might be more "problematic" records we will update all of them (#12906)
